Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOverrideInformationCollection Class Reference

`#include <vtkOverrideInformationCollection.h>`

Inheritance diagram for vtkOverrideInformationCollection:

[legend]
Collaboration diagram for vtkOverrideInformationCollection:

[legend]
List of all members.

## Detailed Description

maintain a list of override information objects

Date:
  2002/12/26 18:24:21

Revision:
  1.9

vtkOverrideInformationCollection is an object that creates and manipulates lists of objects of type vtkOverrideInformation.

See also:
  vtkCollection

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (74%)
  - Schroeder, Will (15%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkOverrideInformationCollection.cxx)`
  - .`h` (`/Common/vtkOverrideInformationCollection.h)`

Tests:
  vtkOverrideInformationCollection (Tests)

Definition at line 49 of file vtkOverrideInformationCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkOverrideInformation *)
vtkOverrideInformation * | GetNextItem ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOverrideInformationCollection * | SafeDownCast (vtkObject *o)
vtkOverrideInformationCollection * | New ()
## Protected Methods
| vtkOverrideInformationCollection ()
| ~vtkOverrideInformationCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkOverrideInformationCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 52 of file vtkOverrideInformationCollection.h.

## Constructor & Destructor Documentation

vtkOverrideInformationCollection::vtkOverrideInformationCollection | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkOverrideInformationCollection.h.

vtkOverrideInformationCollection::~vtkOverrideInformationCollection | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkOverrideInformationCollection.h.

## Member Function Documentation

virtual const char* vtkOverrideInformationCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkOverrideInformationCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkOverrideInformationCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkOverrideInformationCollection* vtkOverrideInformationCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

vtkOverrideInformationCollection* vtkOverrideInformationCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

void vtkOverrideInformationCollection::AddItem | ( | vtkOverrideInformation * |  | ) | `[inline]`

| Add a OverrideInformation to the list. Definition at line 75 of file vtkOverrideInformationCollection.h. References vtkCollection::AddItem().

vtkOverrideInformation * vtkOverrideInformationCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next OverrideInformation in the list. Definition at line 80 of file vtkOverrideInformationCollection.h. References vtkCollection::GetNextItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkOverrideInformationCollection.h